From 56d485427f744fc7a60f7dbafbf9e7a29c804ea2 Mon Sep 17 00:00:00 2001
From: David Rowley <dgrowley@gmail.com>
Date: Tue, 27 Jul 2021 21:57:08 +1200
Subject: [PATCH v9 1/6] Remove unneeded include directory in MSVC scripts

This appears to have been added way back in ee3b4188a but its a little
unclear why it's even needed given that 320c7eb8c dated 18 months earlier
added code to copy fmgroids.h to src/include/utils.

In any case, amcheck seems to get away without adding the additional
include directory.
---
 src/tools/msvc/Mkvcbuild.pm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/tools/msvc/Mkvcbuild.pm b/src/tools/msvc/Mkvcbuild.pm
index 233ddbf4c2..4c36e482fb 100644
--- a/src/tools/msvc/Mkvcbuild.pm
+++ b/src/tools/msvc/Mkvcbuild.pm
@@ -41,7 +41,7 @@ my @contrib_uselibpq =
 my @contrib_uselibpgport   = ('libpq_pipeline', 'oid2name', 'vacuumlo');
 my @contrib_uselibpgcommon = ('libpq_pipeline', 'oid2name', 'vacuumlo');
 my $contrib_extralibs     = { 'libpq_pipeline' => ['ws2_32.lib'] };
-my $contrib_extraincludes = { 'dblink'         => ['src/backend'] };
+my $contrib_extraincludes = {};
 my $contrib_extrasource   = {
 	'cube' => [ 'contrib/cube/cubescan.l', 'contrib/cube/cubeparse.y' ],
 	'seg'  => [ 'contrib/seg/segscan.l',   'contrib/seg/segparse.y' ],
-- 
2.21.0.windows.1

